<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />

    <title>Application ISA</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/epub.css" /> 
  </head><body>

    <div class="document">
      <div class="documentwrapper">
          <div class="body" role="main">
            
  <section id="application-isa">
<h1>Application ISA</h1>
<p>The Metark API is built from the Django REST framework whose official
website  is <a class="reference external" href="https://www.django-rest-framework.org/">available here</a><span class="link-target"> [https://www.django-rest-framework.org/]</span>.</p>
<section id="how-to-add-an-api">
<h2>How to add an API?</h2>
<ol class="arabic simple">
<li><p>Step 1 - Create a serializer in the serializers.py</p></li>
<li><p>Step 2 - Create a view in <code class="code docutils literal notranslate"><span class="pre">view.py</span></code></p></li>
<li><p>Step 3 - Create a url to access the API in the <code class="code docutils literal notranslate"><span class="pre">ulrs.py</span></code> ;</p></li>
<li><p>Step 4 - Test the API in the <code class="code docutils literal notranslate"><span class="pre">test.py</span></code> file. Many examples are already available in the file.</p></li>
</ol>
<p>A complete example is available on the <a class="reference external" href="https://www.django-rest-framework.org/tutorial/1-serialization/">official documentation</a><span class="link-target"> [https://www.django-rest-framework.org/tutorial/1-serialization/]</span>
and APIs are already available in the application. They can help you in the structure
to follow.</p>
</section>
<section id="key-files-of-the-isa-application">
<h2>Key files of the « ISA » application</h2>
<section id="module-apps.isa.apis">
<span id="api-py"></span><h3>api.py</h3>
<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.AssayManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">AssayManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.AssayManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.AssaySerializer" title="apps.isa.serializers.AssaySerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">AssaySerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.CommentManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">CommentManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.CommentManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.CommentSerializer" title="apps.isa.serializers.CommentSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">CommentSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.ContactManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">ContactManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.ContactManagement.pagination_class">
<span class="sig-name descname"><span class="pre">pagination_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.apis.CustomPagination" title="apps.isa.apis.CustomPagination"><code class="xref py py-class docutils literal notranslate"><span class="pre">CustomPagination</span></code></a></p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.ContactManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.ContactSerializer" title="apps.isa.serializers.ContactSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">ContactSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.CustomPagination">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">CustomPagination</span></span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.ISAManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">ISAManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.ISAManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.ISAResumeSerializer" title="apps.isa.serializers.ISAResumeSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">ISAResumeSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.InvestigationDetail">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">InvestigationDetail</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd><dl class="py method">
<dt class="sig sig-object py" id="apps.isa.apis.InvestigationDetail.get_queryset">
<span class="sig-name descname"><span class="pre">get_queryset</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span></dt>
<dd><p>Get the list of items for this view.
This must be an iterable, and may be a queryset.
Defaults to using <cite>self.queryset</cite>.</p>
<p>This method should always be used rather than accessing <cite>self.queryset</cite>
directly, as <cite>self.queryset</cite> gets evaluated only once, and those results
are cached for all subsequent requests.</p>
<p>You may want to override this if you need to provide different
querysets depending on the incoming request.</p>
<p>(Eg. return a list of items that is specific to the user)</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.InvestigationDetail.pagination_class">
<span class="sig-name descname"><span class="pre">pagination_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.apis.CustomPagination" title="apps.isa.apis.CustomPagination"><code class="xref py py-class docutils literal notranslate"><span class="pre">CustomPagination</span></code></a></p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.InvestigationDetail.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.InvestigationSerializer" title="apps.isa.serializers.InvestigationSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">InvestigationSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.PersonContactManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">PersonContactManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.PersonContactManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.PersonContactSerializer" title="apps.isa.serializers.PersonContactSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">PersonContactSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.PublicationManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">PublicationManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.PublicationManagement.pagination_class">
<span class="sig-name descname"><span class="pre">pagination_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.apis.CustomPagination" title="apps.isa.apis.CustomPagination"><code class="xref py py-class docutils literal notranslate"><span class="pre">CustomPagination</span></code></a></p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.PublicationManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.PublicationSerializer" title="apps.isa.serializers.PublicationSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">PublicationSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.RoleManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">RoleManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.RoleManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.RoleSerializer" title="apps.isa.serializers.RoleSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">RoleSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.SearchForUsers">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">SearchForUsers</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.SearchForUsers.pagination_class">
<span class="sig-name descname"><span class="pre">pagination_class</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">None</span></em></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.SearchForUsers.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.UserSerializer" title="apps.isa.serializers.UserSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">UserSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.StudyManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">StudyManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.StudyManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.StudySerializer" title="apps.isa.serializers.StudySerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">StudySerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.TagManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">TagManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.TagManagement.pagination_class">
<span class="sig-name descname"><span class="pre">pagination_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.apis.CustomPagination" title="apps.isa.apis.CustomPagination"><code class="xref py py-class docutils literal notranslate"><span class="pre">CustomPagination</span></code></a></p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.TagManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.TagSerializer" title="apps.isa.serializers.TagSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">TagSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

</section>
<section id="serializers-py">
<h3>serializers.py</h3>
<p>The Metark API is built from the Django REST framework. To format the results
returned by the API, serializers are created whose official documentation is
<a class="reference external" href="https://www.django-rest-framework.org/tutorial/1-serialization/">here</a><span class="link-target"> [https://www.django-rest-framework.org/tutorial/1-serialization/]</span> :</p>
<span class="target" id="module-apps.isa.serializers"></span><dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.AssayResumeSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">AssayResumeSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.AssaySerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">AssaySerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.CommentSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">CommentSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.ContactSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">ContactSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.DataFileSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">DataFileSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.DesignTypeSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">DesignTypeSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.FactorSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">FactorSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.ISAResumeSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">ISAResumeSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.InvestigationResumeSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">InvestigationResumeSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.InvestigationSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">InvestigationSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.MeasurementTypeSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">MeasurementTypeSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.PersonContactSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">PersonContactSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.ProtocolSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">ProtocolSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.PublicationSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">PublicationSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.RoleSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">RoleSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.StudyResumeSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">StudyResumeSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.StudySerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">StudySerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.TagSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">TagSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.UserSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">UserSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span></dt>
<dd></dd></dl>

</section>
<section id="module-apps.isa.tests">
<span id="test-py"></span><h3>test.py</h3>
</section>
</section>
</section>


            <div class="clearer"></div>
          </div>
      </div>
      <div class="clearer"></div>
    </div>
  </body>
</html>